> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Membership Analytics List

> Get member analytics with filters.



## OpenAPI

````yaml get /analytics/dashboards/memberships/list
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /analytics/dashboards/memberships/list:
    get:
      tags:
        - provider
        - analytics
        - analytics
      summary: Get Membership Analytics List
      description: Get member analytics with filters.
      operationId: get_membership_analytics_list_analytics_dashboards_memberships_list_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: location_ids
          in: query
          required: false
          schema:
            items:
              type: string
            type: array
            title: Location Ids
            default: []
        - name: membership_ids
          in: query
          required: false
          schema:
            items:
              type: string
            type: array
            title: Membership Ids
            default: []
        - name: member_statuses
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
            default: []
            title: Member Statuses
        - name: sold_by_provider_ids
          in: query
          required: false
          schema:
            items:
              type: string
            type: array
            title: Sold By Provider Ids
            default: []
        - name: location
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location
        - name: membership
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Membership
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: sold_by_provider
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sold By Provider
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Page
        - name: per_page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Per Page
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort By
        - name: sort_direction
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                enum:
                  - asc
                  - desc
              - type: 'null'
            title: Sort Direction
        - name: location_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location Id
        - name: patient_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Patient Name
        - name: created_date_start
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created Date Start
        - name: created_date_end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created Date End
        - name: start_date_start
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Start Date Start
        - name: start_date_end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Start Date End
        - name: next_billing_date_start
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Next Billing Date Start
        - name: next_billing_date_end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Next Billing Date End
        - name: timezone
          in: query
          required: false
          schema:
            type: string
            default: UTC
            title: Timezone
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_get_membership_analytics_list_analytics_dashboards_memberships_list_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_MemberAnalyticsSummary_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_get_membership_analytics_list_analytics_dashboards_memberships_list_get:
      properties:
        membership_ids:
          items:
            type: string
          type: array
          title: Membership Ids
          default: []
        member_statuses:
          items:
            $ref: '#/components/schemas/MemberStatus'
          type: array
          title: Member Statuses
          default: []
        location_ids:
          items:
            type: string
          type: array
          title: Location Ids
          default: []
        sold_by_provider_ids:
          items:
            type: string
          type: array
          title: Sold By Provider Ids
          default: []
      type: object
      title: >-
        Body_get_membership_analytics_list_analytics_dashboards_memberships_list_get
    Page_MemberAnalyticsSummary_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/MemberAnalyticsSummary'
          type: array
          title: Data
        total:
          type: integer
          title: Total
      type: object
      required:
        - data
        - total
      title: Page[MemberAnalyticsSummary]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MemberStatus:
      type: string
      enum:
        - ACTIVE
        - EXPIRED
        - CANCELLED
        - DELINQUENT
        - FROZEN
      title: MemberStatus
    MemberAnalyticsSummary:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the member
        patientId:
          type: string
          title: Patientid
          description: ID of the patient
        membershipId:
          type: string
          title: Membershipid
          description: ID of the membership
        membership:
          $ref: '#/components/schemas/MembershipTiny'
          description: Membership information
        soldByProviderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Soldbyproviderid
          description: ID of the provider who sold this membership
        startDate:
          type: string
          format: date-time
          title: Startdate
          description: When the patient joined the membership
        endDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Enddate
          description: When the membership ended (if applicable)
        nextBillingDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Nextbillingdate
          description: Next scheduled billing date (if custom)
        unfreezeDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Unfreezedate
          description: When the membership should be automatically unfrozen
        status:
          $ref: '#/components/schemas/MemberStatus'
          description: Current status of the membership
        autoRenew:
          type: boolean
          title: Autorenew
          description: Whether the membership auto-renews
        billingFrequency:
          $ref: '#/components/schemas/MembershipFrequency'
          description: Billing frequency for this member
        patient:
          $ref: '#/components/schemas/PatientSummaryWithLocation'
          description: Patient information with location
        charges:
          items:
            $ref: '#/components/schemas/ChargeTiny'
          type: array
          title: Charges
          description: Charges for this member
        soldByProvider:
          anyOf:
            - $ref: '#/components/schemas/ProviderCreator'
            - type: 'null'
          description: Provider who sold this membership
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
          description: When the member record was created
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: When the member record was last updated
        paymentMethod:
          anyOf:
            - $ref: '#/components/schemas/PaymentMethodSummary'
            - type: 'null'
          description: Payment method for this member
      type: object
      required:
        - id
        - patientId
        - membershipId
        - membership
        - startDate
        - status
        - autoRenew
        - billingFrequency
        - patient
        - charges
      title: MemberAnalyticsSummary
      description: >-
        Member summary specifically for analytics with location data eagerly
        loaded.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    MembershipTiny:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the membership
        name:
          type: string
          title: Name
          description: Name of the membership
        textColor:
          anyOf:
            - type: string
            - type: 'null'
          title: Textcolor
          description: Text color of the membership
      type: object
      required:
        - id
        - name
      title: MembershipTiny
    MembershipFrequency:
      type: string
      enum:
        - DAILY
        - WEEKLY
        - BIWEEKLY
        - MONTHLY
        - QUARTERLY
        - SEMI_ANNUALLY
        - YEARLY
      title: MembershipFrequency
    PatientSummaryWithLocation:
      properties:
        id:
          type: string
          title: Id
          description: The unique identifier for the user.
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
          description: The user's first name.
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
          description: The user's last name.
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
          description: The user's phone number.
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: The user's email address.
        type:
          $ref: '#/components/schemas/UserType'
          description: The type of user.
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
          description: The location of the user.
        externalId:
          anyOf:
            - type: string
            - type: 'null'
          title: Externalid
          description: The user's external identifier if available.
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
          description: The user's primary address.
        addressLineTwo:
          anyOf:
            - type: string
            - type: 'null'
          title: Addresslinetwo
          description: Additional address information.
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
          description: The city of the user's address.
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
          description: The state of the user's address.
        zipCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Zipcode
          description: The postal code of the user's address.
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
          description: The country of the user's address.
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: The date and time when the user was created.
        addressValid:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Addressvalid
          description: Whether the user's address is valid.
        meta:
          anyOf:
            - type: object
            - type: 'null'
          title: Meta
          description: Any additional metadata about the user relevant to your system.
        isArchived:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isarchived
          description: Whether the user is archived.
        primaryLocationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Primarylocationid
          description: The primary location of the user.
        gender:
          anyOf:
            - type: string
            - type: 'null'
          title: Gender
          description: The gender of the patient.
        dateOfBirth:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Dateofbirth
          description: The date of birth of the patient.
        patientMedications:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Patientmedications
          description: List of patient's self-reported medications.
        onSchedulingBlacklist:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Onschedulingblacklist
          description: Whether the patient is on the scheduling blacklist.
        surchargeDisabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Surchargedisabled
          description: Whether surcharges are disabled for this patient.
        tags:
          anyOf:
            - items:
                $ref: '#/components/schemas/PatientTagSummary'
              type: array
            - type: 'null'
          title: Tags
          description: List of patient tags
        creditBalance:
          anyOf:
            - type: integer
            - type: 'null'
          title: Creditbalance
          description: Patient's credit balance in cents.
        preferredProviderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Preferredproviderid
          description: The preferred provider ID for this patient.
        primaryLocation:
          anyOf:
            - $ref: '#/components/schemas/LocationTinyWithName'
            - type: 'null'
          description: Primary location of the patient
      type: object
      required:
        - id
        - type
        - createdDate
      title: PatientSummaryWithLocation
      description: Patient summary with primary location details for analytics.
    ChargeTiny:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the charge.
        patientId:
          type: string
          title: Patientid
          description: Identifier of the patient being charged.
      type: object
      required:
        - id
        - patientId
      title: ChargeTiny
      description: >-
        An extremely lightweight version of the Charge model, used for payment
        link Rainforest webhooks.
    ProviderCreator:
      properties:
        id:
          type: string
          title: Id
        firstName:
          type: string
          title: Firstname
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
      type: object
      required:
        - id
        - firstName
      title: ProviderCreator
    PaymentMethodSummary:
      properties:
        id:
          type: string
          title: Id
        patientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Patientid
        rainforestPaymentMethodId:
          type: string
          title: Rainforestpaymentmethodid
        brand:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand
        last4:
          anyOf:
            - type: string
            - type: 'null'
          title: Last4
        expMonth:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expmonth
        expYear:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expyear
        accountHolderType:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountholdertype
        accountNumberLast4:
          anyOf:
            - type: integer
            - type: 'null'
          title: Accountnumberlast4
        bankName:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankname
        routingNumber:
          anyOf:
            - type: integer
            - type: 'null'
          title: Routingnumber
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        type:
          anyOf:
            - $ref: '#/components/schemas/PaymentMethodType'
            - type: 'null'
        isDefault:
          type: boolean
          title: Isdefault
          default: false
        isArchived:
          type: boolean
          title: Isarchived
          default: false
      type: object
      required:
        - id
        - patientId
        - rainforestPaymentMethodId
        - brand
        - last4
        - expMonth
        - expYear
        - accountHolderType
        - accountNumberLast4
        - bankName
        - routingNumber
        - description
        - type
      title: PaymentMethodSummary
    UserType:
      type: string
      enum:
        - PROVIDER
        - PATIENT
        - ASSISTANT
      title: UserType
    PatientTagSummary:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the patient tag
        name:
          type: string
          title: Name
          description: Name of the patient tag
        emoji:
          anyOf:
            - type: string
            - type: 'null'
          title: Emoji
          description: Emoji associated with the tag
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
          description: Color code for the tag (hex format)
        isActive:
          type: boolean
          title: Isactive
          description: Whether the tag is active
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: Date and time when the tag was created
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: Date and time when the tag was last updated
      type: object
      required:
        - id
        - name
        - isActive
        - createdDate
      title: PatientTagSummary
    LocationTinyWithName:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        isVirtual:
          type: boolean
          title: Isvirtual
      type: object
      required:
        - id
        - name
        - isVirtual
      title: LocationTinyWithName
      description: >-
        Location with name for analytics - avoids requiring eager loading
        everywhere.
    PaymentMethodType:
      type: string
      enum:
        - CARD
        - ACH
        - APPLE_PAY
      title: PaymentMethodType

````